/*
	FurbyKill 3D
	============
	License: GPL
	Author: Andre Schnabel
	E-Mail: thefrogs@web.de
	Homepage: http://www.semler-service.de/andre/
*/

// Launcher.java

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Launcher extends JFrame {

	private JButton launchBtn;
	private JCheckBox fullscrChkBx, noSoundChkBx;
	private JComboBox qualityCmbBx;
	private String command;

	class LauncherActionListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			String cmd = e.getActionCommand();
			
			if(cmd == "Launch")
				launch();			
		}
	}
	
	public Launcher() {
		super("FK3D Launcher");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setLayout(new GridLayout(4, 2));
		
		String[] qualities = { "Normal", "Low", "Bad" };
		
		JLabel qualityLbl = new JLabel("Video quality:");
		getContentPane().add(qualityLbl);
		
		qualityCmbBx = new JComboBox(qualities);
		qualityCmbBx.setSelectedIndex(0);
		getContentPane().add(qualityCmbBx);
		
		JLabel fullscrLbl = new JLabel("Video mode:");
		getContentPane().add(fullscrLbl);
		
		fullscrChkBx = new JCheckBox("Fullscreen");
		fullscrChkBx.setSelected(false);
		getContentPane().add(fullscrChkBx);
		
		JLabel audioLbl = new JLabel("Audio:");
		getContentPane().add(audioLbl);
		
		noSoundChkBx = new JCheckBox("No Sound");
		noSoundChkBx.setSelected(false);
		getContentPane().add(noSoundChkBx);
		
		getContentPane().add(new JLabel());
		
		launchBtn = new JButton("Launch");
		launchBtn.addActionListener(new LauncherActionListener());
		getContentPane().add(launchBtn);
		
		setSize(210, 120);
		setResizable(false);
		
		Point cp = GraphicsEnvironment.getLocalGraphicsEnvironment().getCenterPoint();
		cp.setLocation(cp.getX() - getWidth() / 2, cp.getY() - getHeight() / 2);
		setLocation(cp);
	}
	
	private void launch() {
		if(System.getProperty("os.name").compareToIgnoreCase("linux") == 0)
			command = "./furbykill3d";
		else
			command = "FurbyKill3D";
				
		if(fullscrChkBx.isSelected())
			command += " -f";
		
		if(noSoundChkBx.isSelected())
			command += " -n";
		
		if(qualityCmbBx.getSelectedIndex() == 1)
			command += " -l";
		else if(qualityCmbBx.getSelectedIndex() == 2)
			command += " -b";
		
		try {
			Runtime.getRuntime().exec(command);
		} catch(java.io.IOException e) {
			System.out.println("Some error...");
		}
		
		System.exit(0);
	}
	
	public static void main(String[] args) {
		Launcher instance = new Launcher();
		instance.setVisible(true);
	}

}
